This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 514197

Summary: Sound breaks up after a few seconds of playing
Product: [Fedora] Fedora Reporter: Ulrich Walczak <ulrich>
Component: alsa-pluginsAssignee: Eric Moret <eric.moret>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: low    
Version: 11CC: eric.moret, lpoetter, pmncoelho, rainwoodman
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-17 15:16:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Ulrich Walczak 2009-07-28 06:04:32 EDT
sound replay suddenly breaks up like a broke CD


Version-Release number of selected component (if applicable):


just play again, and it will break down again after a while


Steps to Reproduce:

Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c: Hardware PCM card 0 'SiS SI7012' device 0 subdevice 0
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c: Its setup is:
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   stream       : PLAYBACK
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   access       : MMAP_INTERLEAVED
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   format       : S16_LE
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   subformat    : STD
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   channels     : 2
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   rate         : 44100
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   exact rate   : 44100 (44100/1)
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   msbits       : 16
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   buffer_size  : 16384
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   period_size  : 16384
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   period_time  : 371519
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   tstamp_mode  : ENABLE
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   period_step  : 1
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   avail_min    : 16384
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   period_event : 0
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   start_threshold  : -1
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   stop_threshold   : 1073741824
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   silence_threshold: 0
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   silence_size : 0
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   boundary     : 1073741824
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   appl_ptr     : 12452641
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   hw_ptr       : 12435458
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c: snd_pcm_delay() returned a value that is exceptionally large: 349048 bytes (1978 ms).
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c: snd_pcm_dump():
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c: Hardware PCM card 0 'SiS SI7012' device 0 subdevice 0
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c: Its setup is:
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   stream       : PLAYBACK
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   access       : MMAP_INTERLEAVED
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   format       : S16_LE
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   subformat    : STD
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   channels     : 2
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   rate         : 44100
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   exact rate   : 44100 (44100/1)
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   msbits       : 16
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   buffer_size  : 16384
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   period_size  : 16384
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   period_time  : 371519
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   tstamp_mode  : ENABLE
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   period_step  : 1
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   avail_min    : 16384
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   period_event : 0
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   start_threshold  : -1
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   stop_threshold   : 1073741824
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   silence_threshold: 0
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   silence_size : 0
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   boundary     : 1073741824
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   appl_ptr     : 12523201
Jul 28 10:42:02 uli pulseaudio[2496]: alsa-util.c:   hw_ptr       : 12435939
  
Actual results:


Expected results:


Additional info:
Comment 1 Pedro Coelho 2009-07-29 18:57:04 EDT
I have the same problem :


My output: 

Jul 29 22:28:01 bafo kernel: fuse init (API version 7.11)
Jul 29 22:28:01 bafo pulseaudio[1997]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.ServiceUnknown
Jul 29 22:28:04 bafo pulseaudio[2068]: pid.c: Daemon already running.
Jul 29 22:28:04 bafo pulseaudio[2072]: pid.c: Daemon already running.
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-sink.c: Increasing minimal latency to 1.00 ms
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-sink.c: Increasing minimal latency to 2.00 ms
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c: snd_pcm_avail() returned a value that is exceptionally large: 18446744073709547904 bytes (384307168182 ms).
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c: snd_pcm_dump():
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c: Hardware PCM card 0 'NVidia CK804' device 0 subdevice 0
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c: Its setup is:
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   stream       : PLAYBACK
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   access       : MMAP_INTERLEAVED
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   format       : S16_LE
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   subformat    : STD
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   channels     : 2
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   rate         : 48000
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   exact rate   : 48000 (48000/1)
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   msbits       : 16
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   buffer_size  : 16384
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   period_size  : 16384
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   period_time  : 341333
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   tstamp_mode  : ENABLE
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   period_step  : 1
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   avail_min    : 16384
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   period_event : 0
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   start_threshold  : -1
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   stop_threshold   : 4611686018427387904
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   silence_threshold: 0
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   silence_size : 0
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   boundary     : 4611686018427387904
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   appl_ptr     : 3916704
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   hw_ptr       : 3899392
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c: snd_pcm_delay() returned a value that is exceptionally large: 358912 bytes (1869 ms).
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c: snd_pcm_dump():
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c: Hardware PCM card 0 'NVidia CK804' device 0 subdevice 0
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c: Its setup is:
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   stream       : PLAYBACK
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   access       : MMAP_INTERLEAVED
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   format       : S16_LE
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   subformat    : STD
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   channels     : 2
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   rate         : 48000
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   exact rate   : 48000 (48000/1)
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   msbits       : 16
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   buffer_size  : 16384
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   period_size  : 16384
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   period_time  : 341333
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   tstamp_mode  : ENABLE
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   period_step  : 1
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   avail_min    : 16384
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   period_event : 0
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   start_threshold  : -1
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   stop_threshold   : 4611686018427387904
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   silence_threshold: 0
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   silence_size : 0
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   boundary     : 4611686018427387904
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   appl_ptr     : 3993504
Jul 29 22:41:09 bafo pulseaudio[1997]: alsa-util.c:   hw_ptr       : 3903776
Jul 29 22:41:14 bafo pulseaudio[1997]: ratelimit.c: 7630 events suppressed
Jul 29 22:41:19 bafo pulseaudio[1997]: ratelimit.c: 8617 events suppressed
Jul 29 22:41:24 bafo pulseaudio[1997]: ratelimit.c: 8934 events suppressed
Jul 29 22:41:29 bafo pulseaudio[1997]: ratelimit.c: 9249 events suppressed
Jul 29 22:41:33 bafo pulseaudio[1997]: cpulimit.c: Received request to terminate due to CPU overload.
Jul 29 23:33:49 bafo pulseaudio[2868]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.ServiceUnknown
Comment 2 Feng Yu 2009-08-16 20:36:38 EDT
Same problem here.

I don't think it is a pulseaudio bug. It seems to be particularly around the intel-8x0 driver. On F10(Around July 1st) it was OK; and on F11 the problme appears even earlier than July 28th(around 15th).

Were there any changes in the intel sound driver from F10 to a July 15th F11 kernel?

E: alsa-util.c: snd_pcm_avail() returned a value that is exceptionally large: 4294964088 bytes (24347868 ms).
E: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
E: alsa-util.c: snd_pcm_dump():
E: alsa-util.c: Hardware PCM card 0 'Intel 82801DB-ICH4' device 0 subdevice 0
E: alsa-util.c: Its setup is:
E: alsa-util.c:   stream       : PLAYBACK
E: alsa-util.c:   access       : MMAP_INTERLEAVED
E: alsa-util.c:   format       : S16_LE
E: alsa-util.c:   subformat    : STD
E: alsa-util.c:   channels     : 2
E: alsa-util.c:   rate         : 44100
E: alsa-util.c:   exact rate   : 44100 (44100/1)
E: alsa-util.c:   msbits       : 16
E: alsa-util.c:   buffer_size  : 16384
E: alsa-util.c:   period_size  : 16384
E: alsa-util.c:   period_time  : 371519
E: alsa-util.c:   tstamp_mode  : ENABLE
E: alsa-util.c:   period_step  : 1
E: alsa-util.c:   avail_min    : 16384
E: alsa-util.c:   period_event : 0
E: alsa-util.c:   start_threshold  : -1
E: alsa-util.c:   stop_threshold   : 1073741824
E: alsa-util.c:   silence_threshold: 0
E: alsa-util.c:   silence_size : 0
E: alsa-util.c:   boundary     : 1073741824
E: alsa-util.c:   appl_ptr     : 3703589
E: alsa-util.c:   hw_ptr       : 3686403
E: alsa-util.c: snd_pcm_delay() returned a value that is exceptionally large: 344024 bytes (1950 ms).
E: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
E: alsa-util.c: snd_pcm_dump():
E: alsa-util.c: Hardware PCM card 0 'Intel 82801DB-ICH4' device 0 subdevice 0
E: alsa-util.c: Its setup is:
E: alsa-util.c:   stream       : PLAYBACK
E: alsa-util.c:   access       : MMAP_INTERLEAVED
E: alsa-util.c:   format       : S16_LE
E: alsa-util.c:   subformat    : STD
E: alsa-util.c:   channels     : 2
E: alsa-util.c:   rate         : 44100
E: alsa-util.c:   exact rate   : 44100 (44100/1)
E: alsa-util.c:   msbits       : 16
E: alsa-util.c:   buffer_size  : 16384
E: alsa-util.c:   period_size  : 16384
E: alsa-util.c:   period_time  : 371519
E: alsa-util.c:   tstamp_mode  : ENABLE
E: alsa-util.c:   period_step  : 1
E: alsa-util.c:   avail_min    : 16384
E: alsa-util.c:   period_event : 0
E: alsa-util.c:   start_threshold  : -1
E: alsa-util.c:   stop_threshold   : 1073741824
E: alsa-util.c:   silence_threshold: 0
E: alsa-util.c:   silence_size : 0
E: alsa-util.c:   boundary     : 1073741824
E: alsa-util.c:   appl_ptr     : 3774149
E: alsa-util.c:   hw_ptr       : 3688143
Comment 3 Lennart Poettering 2009-08-17 15:16:58 EDT

*** This bug has been marked as a duplicate of bug 506075 ***